# QCA::KeyLength Class Reference
[QCA user API]

Simple container for acceptable key lengths. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::KeyLength:

[legend]

List of all members.

## Public Member Functions

| KeyLength (int min, int max, int multiple)
int | maximum () const
int | minimum () const
int | multiple () const

## Detailed Description

Simple container for acceptable key lengths.

The KeyLength specifies the minimum and maximum byte sizes allowed for a key, as well as a "multiple" which the key size must evenly divide into.

As an example, if the key can be 4, 8 or 12 bytes, you can express this as

    KeyLength keyLen( 4, 12, 4 );

If you want to express a KeyLength that takes any number of bytes (including zero), you may want to use

    #include<limits>
    KeyLength( 0, std::numeric_limits<int>::max(), 1 );

Examples:

  aes-cmac.cpp.

## Constructor & Destructor Documentation

QCA::KeyLength::KeyLength | ( | int | min,
|  | int | max,
|  | int | multiple |
| ) |  |  | `[inline]`

Construct a KeyLength object.

Parameters:

  | min | the minimum length of the key, in bytes
  | max | the maximum length of the key, in bytes
  | multiple | the number of bytes that the key must be a multiple of.

## Member Function Documentation

int QCA::KeyLength::maximum | ( |  | ) | const`[inline]`

Obtain the maximum length for the key, in bytes.

int QCA::KeyLength::minimum | ( |  | ) | const`[inline]`

Obtain the minimum length for the key, in bytes.

int QCA::KeyLength::multiple | ( |  | ) | const`[inline]`

Return the number of bytes that the key must be a multiple of.

If this is one, then anything between minimum and maximum (inclusive) is acceptable.

The documentation for this class was generated from the following file:

- qca_core.h